#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := formats

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
FORMATSTARGETS := $(MODULE_DIR)/Word.html
FORMATSSOURCES := $(MODULE_DIR)/Word.psy

PSICONV := psiconv/psiconv

%.html: %.psi $(PSICONV)
	$(PSICONV) $< -o $@
	
all-formats: $(FORMATSTARGETS)
all :: all-formats

clean-formats:
	$(RM) $(FORMATSTARGETS)
clean :: clean-formats
